Your message dated Wed, 13 Jun 2018 13:51:34 +0000
with message-id <e1ft6bs-0002ed...@fasolo.debian.org>
and subject line Bug#888186: fixed in ruby-fakefs 0.14.2-1
has caused the Debian Bug report #888186,
regarding ruby-fakefs: FTBFS on ruby2.5: pread method is not available in File 
:(
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
888186: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888186
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: ruby-fakefs
Version: 0.6.7-1
Severity: important
User: debian-r...@lists.debian.org
Usertags: ruby2.5

Dear Maintainer,

This package fails to build against ruby2.5. Soon, there will
be a transition to ruby2.5, and this package will FTBFS in sid.

There may be some details on the wiki about common problems:
https://wiki.debian.org/Teams/Ruby/Ruby25Transition

Build log excerpt:


build/ruby-fakefs-0.6.7/lib/fakefs/file.rb:261: warning: constant ::Fixnum is 
deprecated
................./build/ruby-fakefs-0.6.7/test/fakefs_test.rb:766: warning: 
FakeFS::File#write is outdated interface which accepts just one argument
/build/ruby-fakefs-0.6.7/test/fakefs_test.rb:766: warning: FakeFS::File#write 
is outdated interface which accepts just one argument
/build/ruby-fakefs-0.6.7/test/fakefs_test.rb:767: warning: FakeFS::File#write 
is outdated interface which accepts just one argument
/build/ruby-fakefs-0.6.7/test/fakefs_test.rb:767: warning: FakeFS::File#write 
is outdated interface which accepts just one argument
...................../build/ruby-fakefs-0.6.7/test/fakefs_test.rb:822: warning: 
setting Encoding.default_external
.................../build/ruby-fakefs-0.6.7/test/fakefs_test.rb:2667: warning: 
FakeFS::File::new() does not take block; use FakeFS::File::open() instead
............../build/ruby-fakefs-0.6.7/lib/fakefs/file.rb:256: warning: 
constant ::Fixnum is deprecated
/build/ruby-fakefs-0.6.7/lib/fakefs/file.rb:261: warning: constant ::Fixnum is 
deprecated
................./build/ruby-fakefs-0.6.7/test/fakefs_test.rb:352: warning: 
global variable `$PID' not initialized
......................................................F............................................/build/ruby-fakefs-0.6.7/lib/fakefs/dir.rb:223:
 warning: global variable `$PID' not initialized
/build/ruby-fakefs-0.6.7/lib/fakefs/dir.rb:223: warning: global variable `$PID' 
not initialized
................../build/ruby-fakefs-0.6.7/lib/fakefs/file.rb:256: warning: 
constant ::Fixnum is deprecated
/build/ruby-fakefs-0.6.7/lib/fakefs/file.rb:261: warning: constant ::Fixnum is 
deprecated
..../build/ruby-fakefs-0.6.7/lib/fakefs/file.rb:256: warning: constant ::Fixnum 
is deprecated
/build/ruby-fakefs-0.6.7/lib/fakefs/file.rb:261: warning: constant ::Fixnum is 
deprecated
........................./build/ruby-fakefs-0.6.7/lib/fakefs/dir.rb:168: 
warning: global variable `$PID' not initialized
....................../build/ruby-fakefs-0.6.7/lib/fakefs/dir.rb:168: warning: 
global variable `$PID' not initialized
.............................

Finished in 0.272047s, 1378.4389 runs/s, 2789.9604 assertions/s.

  1) Failure:
FakeFSTest#test_every_method_in_file_is_in_fake_fs_file 
[/build/ruby-fakefs-0.6.7/test/fakefs_test.rb:1218]:
pread method is not available in File :(

375 runs, 759 assertions, 1 failures, 0 errors, 0 skips
rake aborted!
Command failed with status (1)

Tasks: TOP => default => test
(See full trace by running task with --trace)
ERROR: Test "ruby2.5" failed. Exiting.
dh_auto_install: dh_ruby --install /build/ruby-fakefs-0.6.7/debian/ruby-fakefs 
returned exit code 1
debian/rules:16: recipe for target 'binary' failed
make: *** [binary] Error 1
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2

Full build log:
https://rbuild.fau.xxx/2018-01-23/ruby-fakefs.log

Please fix it!

Cheers,
Chris.

--- End Message ---
--- Begin Message ---
Source: ruby-fakefs
Source-Version: 0.14.2-1

We believe that the bug you reported is fixed in the latest version of
ruby-fakefs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 888...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <bou...@debian.org> (supplier of updated ruby-fakefs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 13 Jun 2018 08:28:42 +0200
Source: ruby-fakefs
Binary: ruby-fakefs
Architecture: source
Version: 0.14.2-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers 
<pkg-ruby-extras-maintain...@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <bou...@debian.org>
Description:
 ruby-fakefs - Fake file system to be used in unit tests
Closes: 888186
Changes:
 ruby-fakefs (0.14.2-1) unstable; urgency=medium
 .
   * Team upload
   * New upstream version 0.14.2
     + omits :pread method, fixing tests (Closes: #888186)
   * Remove version in the gem2deb build-dependency
   * Use https:// in Vcs-* fields
   * Run wrap-and-sort on packaging files
   * Point watch file to github to get tests
   * Bump debhelper compatibility level to 11
   * Use salsa.debian.org in Vcs-* fields
   * Bump Standards-Version to 4.1.4 (no changes needed)
   * Update 0001-Remove-dependency-on-minitest-rg.patch
   * Add  patch to remove dependency on bump gem
   * Don't use bundler in tests
Checksums-Sha1:
 cd0f85e40982a97aa8c03b137bbafe384dab9673 1767 ruby-fakefs_0.14.2-1.dsc
 5437c53301793358633acf07a2e1b3bc9eaa0a22 44978 ruby-fakefs_0.14.2.orig.tar.gz
 952f1f8185df20a699714f35016121863ca46d2d 5376 
ruby-fakefs_0.14.2-1.debian.tar.xz
 2a95a3e2c5e0816bd53c2ad00b7d2347cc919123 6482 
ruby-fakefs_0.14.2-1_source.buildinfo
Checksums-Sha256:
 cce9d352f0d69521a95d1b2abf106955618b37bbc0e69ffacea0cabc0381dbc4 1767 
ruby-fakefs_0.14.2-1.dsc
 520365638be9ece3513a9c0e677fb714e62d1914204268379db110a8cc60f854 44978 
ruby-fakefs_0.14.2.orig.tar.gz
 e94d299979fa0c15cfe2a4552d73185a43073fcb9d4d3e9d9b4ebccf842056a1 5376 
ruby-fakefs_0.14.2-1.debian.tar.xz
 668cf2c48a65cd459aab535e1d738fe1ec908dc974d3852f5e569495f62a48f6 6482 
ruby-fakefs_0.14.2-1_source.buildinfo
Files:
 abf304a8953e7e63a6890ee0f72cc5e3 1767 ruby optional ruby-fakefs_0.14.2-1.dsc
 fec012eaa5c1675c704e4a78ceb60e07 44978 ruby optional 
ruby-fakefs_0.14.2.orig.tar.gz
 c5758309c739d13dd7004217782944f1 5376 ruby optional 
ruby-fakefs_0.14.2-1.debian.tar.xz
 c5cd73d8325f0864a96eba2c51e4569b 6482 ruby optional 
ruby-fakefs_0.14.2-1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEnM1rMZ2/jkCrGr0aia+CtznNIXoFAlshGkgACgkQia+CtznN
IXpH3Qf+M0afONhLsfgmJFSye4kLQk/9EV/elC4R8P2maYXb/q0O0Mw6jvWdJtgg
w+rTiyei5VYD2WqAMUpAZyd5foJvF6QdByZXB4+XDAopHuO5BGSIR79UAC48c3N5
c/w3yZYDOPaM8U+wc/aOozA5sChpV76DfqC0tSCZ396fZUz3+8STGqjUxg4Bj1hy
Lta8ZghqDk8Vmuaw5lf0r2ZrfqQt0Y7QuuadVPxSWcF5anwl7c1S+qeYC8ItKX/4
6gWbH6wo2+vaxusJBOOPdDBonbLZpqI4yAHAHJzcnjXg3Ql3ClJP0Tu+dqDVAV1p
QIYkvSypAf5r/feJeB5PFw2p9EohUw==
=t0hJ
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to